Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Stages

Get Stage Reviews
GET /serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
https://api.relesysapp.net/api/v1/serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
Get a all reviews for the specified stage with ID stageId.

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
stageId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
status string Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"57643ac4-d5d9-4298-bd5e-1a8a27bfebe4","stageId":"32807401-6835-4712-8b06-485af10c3328","fillingId":"fc8a3ae0-661d-49c0-bfb6-b1f1c8dea75b","reviewDateTime":"2026-05-13T16:45:16.5493343+00:00","creationDateTime":"2026-05-13T16:45:16.5493343+00:00","lastModifiedDateTime":"2026-05-15T16:45:16.5493343+00:00","userId":"c37e7f51-2a38-4dff-aec0-2f0b5a4e053e","status":"Approved"},{"id":"91503a77-e0cf-4e13-a477-8fd9f7ac28f8","stageId":"8323cba7-dc96-4faa-b4cf-f8fe9a4124fd","fillingId":"1bdc6ca1-6b4a-4970-a854-11cb8df14b95","reviewDateTime":"2026-05-07T16:45:16.5493343+00:00","creationDateTime":"2026-05-13T16:45:16.5493343+00:00","lastModifiedDateTime":null,"userId":"21f4606e-f6f1-4564-abdb-81168579ccde","status":"Rejected"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   status string      
   userId string / guid      
  nextUrl string      
  previousUrl string